Bug 864734 - IndexError: list index out of range
IndexError: list index out of range
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:34a7a7b167e8374031da6e82a86...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 22:03 EDT by Reartes Guillermo
Modified: 2012-11-22 22:33 EST (History)
7 users (show)

See Also:
Fixed In Version: anaconda-18.15-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-22 22:33:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (1.39 MB, text/plain)
2012-10-09 22:04 EDT, Reartes Guillermo
no flags Details
File: product (6 bytes, text/plain)
2012-10-09 22:04 EDT, Reartes Guillermo
no flags Details
File: type (9 bytes, text/plain)
2012-10-09 22:04 EDT, Reartes Guillermo
no flags Details
File: ifcfg.log (641 bytes, text/plain)
2012-10-09 22:04 EDT, Reartes Guillermo
no flags Details
File: storage.log (1.04 MB, text/plain)
2012-10-09 22:04 EDT, Reartes Guillermo
no flags Details
File: version (11 bytes, text/plain)
2012-10-09 22:04 EDT, Reartes Guillermo
no flags Details
File: environ (764 bytes, text/plain)
2012-10-09 22:04 EDT, Reartes Guillermo
no flags Details
File: anaconda.log (30.52 KB, text/plain)
2012-10-09 22:04 EDT, Reartes Guillermo
no flags Details
File: syslog (75.87 KB, text/plain)
2012-10-09 22:04 EDT, Reartes Guillermo
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-09 22:05 EDT, Reartes Guillermo
no flags Details
File: packaging.log (3.75 KB, text/plain)
2012-10-09 22:05 EDT, Reartes Guillermo
no flags Details
File: cmdline_file (96 bytes, text/plain)
2012-10-09 22:05 EDT, Reartes Guillermo
no flags Details
File: release (24 bytes, text/plain)
2012-10-09 22:05 EDT, Reartes Guillermo
no flags Details
File: program.log (201.44 KB, text/plain)
2012-10-09 22:05 EDT, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2012-10-09 22:03:29 EDT
Description of problem:
tried to remove a disk while there where 0 disks already

Version-Release number of selected component:
anaconda-18.14

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.1-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.14 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/cart.py", line 77, in initialize
:    default_id = self.disks[0].id
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/cart.py", line 94, in refresh
:    self.initialize(disks, free, showRemove=showRemove)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 572, in on_summary_clicked
:    free_space)
:IndexError: list index out of range
Comment 1 Reartes Guillermo 2012-10-09 22:04:10 EDT
Created attachment 624404 [details]
File: anaconda-tb
Comment 2 Reartes Guillermo 2012-10-09 22:04:13 EDT
Created attachment 624405 [details]
File: product
Comment 3 Reartes Guillermo 2012-10-09 22:04:15 EDT
Created attachment 624406 [details]
File: type
Comment 4 Reartes Guillermo 2012-10-09 22:04:17 EDT
Created attachment 624407 [details]
File: ifcfg.log
Comment 5 Reartes Guillermo 2012-10-09 22:04:47 EDT
Created attachment 624408 [details]
File: storage.log
Comment 6 Reartes Guillermo 2012-10-09 22:04:49 EDT
Created attachment 624409 [details]
File: version
Comment 7 Reartes Guillermo 2012-10-09 22:04:52 EDT
Created attachment 624410 [details]
File: environ
Comment 8 Reartes Guillermo 2012-10-09 22:04:54 EDT
Created attachment 624411 [details]
File: anaconda.log
Comment 9 Reartes Guillermo 2012-10-09 22:04:58 EDT
Created attachment 624412 [details]
File: syslog
Comment 10 Reartes Guillermo 2012-10-09 22:05:00 EDT
Created attachment 624413 [details]
File: hashmarkername
Comment 11 Reartes Guillermo 2012-10-09 22:05:03 EDT
Created attachment 624414 [details]
File: packaging.log
Comment 12 Reartes Guillermo 2012-10-09 22:05:05 EDT
Created attachment 624415 [details]
File: cmdline_file
Comment 13 Reartes Guillermo 2012-10-09 22:05:08 EDT
Created attachment 624416 [details]
File: release
Comment 14 Reartes Guillermo 2012-10-09 22:05:16 EDT
Created attachment 624417 [details]
File: program.log
Comment 15 Chris Lumens 2012-10-10 09:05:25 EDT
Fixed by a36bcd06bb75625ab87382549cd64b544a7ec49c.
Comment 16 Adam Williamson 2012-11-22 22:33:24 EST
This bug looks to have been fixed for many anaconda builds now but missed being closed. If you find you are still experiencing it with Fedora 18 Beta (RC1) or later, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.